org.richfaces.component

## Class AbstractCollapsibleSubTableToggler

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractCollapsibleSubTableToggler

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UICollapsibleSubTableToggleControl

      public abstract class AbstractCollapsibleSubTableToggler
      extends javax.faces.component.UIComponentBase

  The <rich:collapsibleSubTableToggler> component provides a toggle control for the user to expand and collapse sub-tables.

  Author:
    Anton Belevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `DEFAULT_EVENT`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCollapsibleSubTableToggler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getCollapsedIcon()` The icon of the toggler when the sub-table is collapsed
    `abstract String` | `getCollapsedLabel()` The label of the toggler when the sub-table is collapsed
    `abstract String` | `getEvent()` The mouse event which toggler reacts to toggle the sub-table: click (default), dblclick, mousedown, mouseup, etc.
    `abstract String` | `getExpandedIcon()` The icon of the toggler when the sub-table is expanded
    `abstract String` | `getExpandedLabel()` The label of the toggler when the sub-table is expanded
    `String` | `getFor()` Specifies table which will toggler control
    `void` | `setFor(String forId)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### DEFAULT_EVENT

          public static final String DEFAULT_EVENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractCollapsibleSubTableToggler

          public AbstractCollapsibleSubTableToggler()

  - ### Method Detail

    - #### getExpandedLabel

          public abstract String getExpandedLabel()

      The label of the toggler when the sub-table is expanded

    - #### getCollapsedLabel

          public abstract String getCollapsedLabel()

      The label of the toggler when the sub-table is collapsed

    - #### getExpandedIcon

          public abstract String getExpandedIcon()

      The icon of the toggler when the sub-table is expanded

    - #### getCollapsedIcon

          public abstract String getCollapsedIcon()

      The icon of the toggler when the sub-table is collapsed

    - #### getEvent

          public abstract String getEvent()

      The mouse event which toggler reacts to toggle the sub-table: click (default), dblclick, mousedown, mouseup, etc.

    - #### getFor

          public String getFor()

      Specifies table which will toggler control

    - #### setFor

          public void setFor(String forId)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.